/****************************************************************************/
/* GF94 ( 項目ﾁｪｯｸ基準書 )                                                  */
/*                                                                          */
/* Created : 2021/06/29 14:03:36                                            */
/****************************************************************************/

CREATE TABLE GF94 (
   SYSTEM_ID    VARCHAR2 (   10 )                                       /*  1 ｼｽﾃﾑID        */
 , PGID         VARCHAR2 (   30 )                   NOT NULL            /*  2 PG-ID         */
 , NMSYORI      VARCHAR2 (  100 )                                       /*  3 処理ｸﾞﾙｰﾌﾟ名  */
 , SEQ          NUMBER   (    7 )       DEFAULT 0   NOT NULL            /*  4 順            */
 , CLM          VARCHAR2 (   30 )                                       /*  5 項目          */
 , DESC_CHECK   VARCHAR2 (  500 )                                       /*  6 ﾁｪｯｸ内容      */
 , ERR_NO       VARCHAR2 (   10 )                                       /*  7 ｴﾗｰ番号       */
 , ERR_MSG      VARCHAR2 ( 1000 )                                       /*  8 ｴﾗｰﾒｯｾｰｼﾞ     */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /*  9 ﾕﾆｰｸｷｰ        */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 10 状態ﾌﾗｸﾞ      */
 , DYSET        VARCHAR2 (   14 )                                       /* 11 登録日時      */
 , PGSET        VARCHAR2 (   10 )                                       /* 12 作成PG        */
 , PGPSET       VARCHAR2 (   10 )                                       /* 13 作成親PG      */
 , USRSET       VARCHAR2 (   10 )                                       /* 14 作成社員      */
 , DYUPD        VARCHAR2 (   14 )                                       /* 15 更新日時      */
 , PGUPD        VARCHAR2 (   10 )                                       /* 16 更新PG        */
 , PGPUPD       VARCHAR2 (   10 )                                       /* 17 更新親PG      */
 , USRUPD       VARCHAR2 (   10 )                                       /* 18 更新者        */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 16K );


CREATE SEQUENCE GF94S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF94T00 
  BEFORE INSERT ON GF94
  FOR EACH ROW 
  BEGIN 
    SELECT GF94S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
